[BindServiceMethod(typeof(SupportEventSubscriptionService), "BindService")]
public abstract class SupportEventSubscriptionService.SupportEventSubscriptionServiceBaseReference documentation and code samples for the Google Cloud Support v2 API class SupportEventSubscriptionService.SupportEventSubscriptionServiceBase.
Base class for server-side implementations of SupportEventSubscriptionService
Namespace
Google.Cloud.Support.V2Assembly
Google.Cloud.Support.V2.dll
Methods
CreateSupportEventSubscription(CreateSupportEventSubscriptionRequest, ServerCallContext)
public virtual Task<SupportEventSubscription> CreateSupportEventSubscription(CreateSupportEventSubscriptionRequest request, ServerCallContext context)Creates a support event subscription for an organization.
| Parameters | |
|---|---|
| Name | Description |
request |
CreateSupportEventSubscriptionRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskSupportEventSubscription |
The response to send back to the client (wrapped by a task). |
DeleteSupportEventSubscription(DeleteSupportEventSubscriptionRequest, ServerCallContext)
public virtual Task<SupportEventSubscription> DeleteSupportEventSubscription(DeleteSupportEventSubscriptionRequest request, ServerCallContext context)Soft deletes a support event subscription.
| Parameters | |
|---|---|
| Name | Description |
request |
DeleteSupportEventSubscriptionRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskSupportEventSubscription |
The response to send back to the client (wrapped by a task). |
ExpungeSupportEventSubscription(ExpungeSupportEventSubscriptionRequest, ServerCallContext)
public virtual Task<Empty> ExpungeSupportEventSubscription(ExpungeSupportEventSubscriptionRequest request, ServerCallContext context)Expunges a support event subscription.
EXAMPLES:
cURL:
support_event_subscription="organizations/123456789/supportEventSubscriptions/abcdef123456"
curl \
--request POST \
--header "Authorization: Bearer $(gcloud auth print-access-token)" \
"https://cloudsupport.googleapis.com/v2/$support_event_subscription:expunge"
Python:
import googleapiclient.discovery
api_version = "v2"
supportApiService = googleapiclient.discovery.build(
serviceName="cloudsupport",
version=api_version,
discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}",
)
request = supportApiService.supportEventSubscriptions().expunge(
name="organizations/123456789/supportEventSubscriptions/abcdef123456"
)
print(request.execute())
| Parameters | |
|---|---|
| Name | Description |
request |
ExpungeSupportEventSubscriptionRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskEmpty |
The response to send back to the client (wrapped by a task). |
GetSupportEventSubscription(GetSupportEventSubscriptionRequest, ServerCallContext)
public virtual Task<SupportEventSubscription> GetSupportEventSubscription(GetSupportEventSubscriptionRequest request, ServerCallContext context)Gets a support event subscription.
| Parameters | |
|---|---|
| Name | Description |
request |
GetSupportEventSubscriptionRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskSupportEventSubscription |
The response to send back to the client (wrapped by a task). |
ListSupportEventSubscriptions(ListSupportEventSubscriptionsRequest, ServerCallContext)
public virtual Task<ListSupportEventSubscriptionsResponse> ListSupportEventSubscriptions(ListSupportEventSubscriptionsRequest request, ServerCallContext context)Lists support event subscriptions for an organization.
| Parameters | |
|---|---|
| Name | Description |
request |
ListSupportEventSubscriptionsRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskListSupportEventSubscriptionsResponse |
The response to send back to the client (wrapped by a task). |
UndeleteSupportEventSubscription(UndeleteSupportEventSubscriptionRequest, ServerCallContext)
public virtual Task<SupportEventSubscription> UndeleteSupportEventSubscription(UndeleteSupportEventSubscriptionRequest request, ServerCallContext context)Undeletes a support event subscription.
| Parameters | |
|---|---|
| Name | Description |
request |
UndeleteSupportEventSubscriptionRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskSupportEventSubscription |
The response to send back to the client (wrapped by a task). |
UpdateSupportEventSubscription(UpdateSupportEventSubscriptionRequest, ServerCallContext)
public virtual Task<SupportEventSubscription> UpdateSupportEventSubscription(UpdateSupportEventSubscriptionRequest request, ServerCallContext context)Updates a support event subscription.
| Parameters | |
|---|---|
| Name | Description |
request |
UpdateSupportEventSubscriptionRequestThe request received from the client. |
context |
ServerCallContextThe context of the server-side call handler being invoked. |
| Returns | |
|---|---|
| Type | Description |
TaskSupportEventSubscription |
The response to send back to the client (wrapped by a task). |